Stop leaving out companies
curl --request DELETE \
--url https://intentleads.si/api/v1/exclusions/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"example.com",
"https://www.example.org/about"
],
"linkedin": [
"https://www.linkedin.com/company/example-net"
]
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['example.com', 'https://www.example.org/about'],
linkedin: ['https://www.linkedin.com/company/example-net']
})
};
fetch('https://intentleads.si/api/v1/exclusions/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/exclusions/companies"
payload = {
"domains": ["example.com", "https://www.example.org/about"],
"linkedin": ["https://www.linkedin.com/company/example-net"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"changed": 1,
"dropped_invalid": 0,
"domains": 413,
"linkedin_pages": 3,
"updated_at": "2026-10-14T09:25:00.000Z"
}
Stop leaving out companies
Removes companies from the list: in the body (same formats as adding) or as query values like ?domain=example.com. ?all=true clears the list.
Free. This doesn’t use any contacts from your plan.
DELETE
/
api
/
v1
/
exclusions
/
companies
Stop leaving out companies
curl --request DELETE \
--url https://intentleads.si/api/v1/exclusions/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"example.com",
"https://www.example.org/about"
],
"linkedin": [
"https://www.linkedin.com/company/example-net"
]
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['example.com', 'https://www.example.org/about'],
linkedin: ['https://www.linkedin.com/company/example-net']
})
};
fetch('https://intentleads.si/api/v1/exclusions/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/exclusions/companies"
payload = {
"domains": ["example.com", "https://www.example.org/about"],
"linkedin": ["https://www.linkedin.com/company/example-net"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"changed": 1,
"dropped_invalid": 0,
"domains": 413,
"linkedin_pages": 3,
"updated_at": "2026-10-14T09:25:00.000Z"
}
Authorizations
An Intent Leads API key, e.g. il_live_ followed by 32 letters and digits. Create one on the API and CLI page of the dashboard.
Query Parameters
true clears every excluded company.
A domain to stop leaving out. Repeat for several.
A company LinkedIn URL to stop leaving out. Repeat for several.
Body
application/jsontext/csvtext/plain
Response
The change, and the totals now.
Companies added or removed by this call.
Values that weren't a domain or company LinkedIn page.
Domains left out now.
Company LinkedIn pages left out now.
Present and true after ?all=true.